io.etcd.jetcd.api

## Class KVGrpc.KVImplBase

- java.lang.Object
- - io.etcd.jetcd.api.KVGrpc.KVImplBase

All Implemented Interfaces:
  io.grpc.BindableService

Enclosing class:
  KVGrpc

    public abstract static class KVGrpc.KVImplBase
    extends Object
    implements io.grpc.BindableService

### Constructor Summary

Constructors
Constructor and Description
`KVImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `compact(CompactionRequest request, io.grpc.stub.StreamObserver<CompactionResponse> responseObserver)` Compact compacts the event history in the etcd key-value store.
`void` `deleteRange(DeleteRangeRequest request, io.grpc.stub.StreamObserver<DeleteRangeResponse> responseObserver)` DeleteRange deletes the given range from the key-value store.
`void` `put(PutRequest request, io.grpc.stub.StreamObserver<PutResponse> responseObserver)` Put puts the given key into the key-value store.
`void` `range(RangeRequest request, io.grpc.stub.StreamObserver<RangeResponse> responseObserver)` Range gets the keys in the range from the key-value store.
`void` `txn(TxnRequest request, io.grpc.stub.StreamObserver<TxnResponse> responseObserver)` Txn processes multiple requests in a single transaction.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KVImplBase

    public KVImplBase()

### Method Detail

#### range

    public void range(RangeRequest request,
                      io.grpc.stub.StreamObserver<RangeResponse> responseObserver)

     Range gets the keys in the range from the key-value store.

#### put

    public void put(PutRequest request,
                    io.grpc.stub.StreamObserver<PutResponse> responseObserver)

     Put puts the given key into the key-value store.
     A put request increments the revision of the key-value store
     and generates one event in the event history.

#### deleteRange

    public void deleteRange(DeleteRangeRequest request,
                            io.grpc.stub.StreamObserver<DeleteRangeResponse> responseObserver)

     DeleteRange deletes the given range from the key-value store.
     A delete request increments the revision of the key-value store
     and generates a delete event in the event history for every deleted key.

#### txn

    public void txn(TxnRequest request,
                    io.grpc.stub.StreamObserver<TxnResponse> responseObserver)

     Txn processes multiple requests in a single transaction.
     A txn request increments the revision of the key-value store
     and generates events with the same revision for every completed request.
     It is not allowed to modify the same key several times within one txn.

#### compact

    public void compact(CompactionRequest request,
                        io.grpc.stub.StreamObserver<CompactionResponse> responseObserver)

     Compact compacts the event history in the etcd key-value store. The key-value
     store should be periodically compacted or the event history will continue to grow
     indefinitely.

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`